Extending Qt Creator Manual | LocatorPopup

Extending Qt Creator Manual 4.7.1

# LocatorPopup Class

(Core::Internal::LocatorPopup)

- List of all members, including inherited members

## Public Functions

| LocatorPopup(Core::Internal::LocatorWidget *locatorWidget, int *parent = nullptr)
Core::Internal::CompletionList * | completionList() const
bool | event(int *event) override
bool | eventFilter(int *watched, int *event) override
void | focusOutEvent(int *event) override
Core::Internal::LocatorWidget * | inputWidget() const

## Protected Functions

virtual void | inputLostFocus()
int | preferredSize()
virtual void | updateGeometry()

## Member Function Documentation

### LocatorPopup::LocatorPopup(Core::Internal::LocatorWidget *locatorWidget, int *parent = nullptr)

Default constructs an instance of LocatorPopup.

### Core::Internal::CompletionList *LocatorPopup::completionList() const

### bool LocatorPopup::event(int *event)

### bool LocatorPopup::eventFilter(int *watched, int *event)

### void LocatorPopup::focusOutEvent(int *event)

### `[virtual protected]` void LocatorPopup::inputLostFocus()

### Core::Internal::LocatorWidget *LocatorPopup::inputWidget() const

### `[protected]` int LocatorPopup::preferredSize()

### `[virtual protected]` void LocatorPopup::updateGeometry()